//Individual
var timeline;
var voting;

//General
//Attendance
var gtimeline;
var gfrac;
var gsess;
var gseas;

//Voting
var vover;
var vdistr;



$(document).ready(function() {
	if (document.getElementById('individual-timeline') != null) {
	timeline = new Highcharts.Chart({
		chart: {
			renderTo: 'individual-timeline',
			margin: [ 65, 50, 70, 40 ]
		},

		colors: [
			'#C78933',
			'#79B5AC',
			'#D6CEAA'
		],

		title: {
			text: 'Seimo nario darbo valandų statistika',
			style: {
				color: '#02385C'
			}
		},

		subtitle: {
			text: 'Kiekvienos darbo dienos Seimo nario darbo ir nedarbo valandų suvestinė'
		},

		xAxis: {
			type: 'datetime'
		},

		yAxis: {
			min: 0,
			title: {
				text: 'Darbo valandų skaičius',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}
		},

		tooltip: {
			formatter: function() {
				return '<b>'+ Highcharts.dateFormat('%B %e, %Y (%A)', this.x) +'</b><br/>'+
				this.series.name +': '+ this.y +'<br/>';
			}
		},

		plotOptions: {
			column: {
				stacking: 'normal'
			}
		},

		series: [{
			type: 'column',
			name: 'Nedirbta valandų',
			data: [
	            [Date.UTC(2010, 0, 1), 3],
    	        [Date.UTC(2010, 0, 2), 2],
        	    [Date.UTC(2010, 0, 3), 8],
	            [Date.UTC(2010, 0, 6), 3],
    	        [Date.UTC(2010, 0, 7), 0],
        	    [Date.UTC(2010, 0, 8), 1]
         	]
			}, {
			type: 'column',
			name: 'Dirbta valandų',
			data: [
	            [Date.UTC(2010, 0, 1), 1],
    	        [Date.UTC(2010, 0, 2), 10],
        	    [Date.UTC(2010, 0, 3), 0],
	            [Date.UTC(2010, 0, 6), 5],
    	        [Date.UTC(2010, 0, 7), 9],
        	    [Date.UTC(2010, 0, 8), 2]
			]
         	}, {
			type: 'spline',
			name: 'Visų Seimo narių dirbtų valandų vidurkis',
			data: [
	            [Date.UTC(2010, 0, 1), 2],
    	        [Date.UTC(2010, 0, 2), 9],
        	    [Date.UTC(2010, 0, 3), 6],
	            [Date.UTC(2010, 0, 6), 4],
    	        [Date.UTC(2010, 0, 7), 9],
        	    [Date.UTC(2010, 0, 8), 1]
			]
		}]
	});
	}



	if (document.getElementById('individual-voting')) {
	voting = new Highcharts.Chart({
		chart: {
			renderTo: 'individual-voting',
			margin: [0, 0, 0, 0],
			plotBackgroundColor: 'none',
			plotBorderWidth: 0,
			plotShadow: false
		},

		title: {
			text: 'Seimo nario balsavimo statistika',
			style: {
				color: '#02385C'
			}
		},

		subtitle: {
			text: 'Vidinis grafikas: bendra Seimo narių statistika<br/>Išorinis grafikas: šio Seimo nario statistika'
		},

		tooltip: {
			formatter: function() {
				return '<b>'+ this.series.name +'</b><br/>'+
				this.point.name +': '+ this.y +'%';
			}
		},

		series: [{
			type: 'pie',
			name: 'Visi Seimo nariai',
			size: '45%',
			innerSize: '20%',
			data: [
				{ name: 'Neužsiregistravo', y: 44.2, color: '#C75233' },
				{ name: 'Balsavo UŽ', y: 46.6, color: '#C78933' },
	            { name: 'Balsavo PRIEŠ', y: 3.1, color: '#D6CEAA' },
    	        { name: 'Susilaikė', y: 2.7, color: '#79B5AC' },
        	    { name: 'Užsiregistravo, tačiau nebalsavo', y: 2.3, color: '#5E2F46' }
			],
			dataLabels: {
				enabled: false
			}
			}, {
			type: 'pie',
			name: 'Ingrida Valinskienė',
			innerSize: '45%',
			data: [
	            { name: 'Neužsiregistravo', y: 34.2, color: '#C75233' },
				{ name: 'Balsavo UŽ', y: 26.6, color: '#C78933' },
	            { name: 'Balsavo PRIEŠ', y: 13.1, color: '#D6CEAA' },
    	        { name: 'Susilaikė', y: 12.7, color: '#79B5AC' },
        	    { name: 'Užsiregistravo, tačiau nebalsavo', y: 12.3, color: '#5E2F46' }
			],
			dataLabels: {
				enabled: false
			},
			showInLegend: true
		}],
   });
   }



   if (document.getElementById('general-timeline')) {
   gtimeline = new Highcharts.Chart({
		chart: {
			renderTo: 'general-timeline',
			margin: [ 65, 60, 80, 60 ]
		},

		colors: [
			'#C78933',
			'#C75233',
			'#79B5AC'
		],

		title: {
			text: 'Bendra Seimo narių darbo valandų statistika',
			style: {
				color: '#02385C'
			}
		},

		subtitle: {
			text: 'Bendra kiekvienos darbo dienos Seimo narių darbo ir nedarbo valandų suvestinė'
		},

		xAxis: {
			type: 'datetime'
		},

		yAxis: [{ //Primary
			min: 0,
			title: {
				text: 'Darbo valandų skaičius',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}}, { //Secondary
			min: 0,
			title: {
				text: 'Seimo narių skaičius',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			},
			opposite: true
		}],

		tooltip: {
			formatter: function() {
				return '<b>'+ Highcharts.dateFormat('%B %e, %Y (%A)', this.x) +'</b><br/>'+
				this.series.name +': '+ this.y +'<br/>';
			}
		},

		plotOptions: {
			column: {
				stacking: 'normal'
			}
		},

		series: [{
			type: 'column',
			name: 'Visų Seimo narių nedirbtų valandų suma',
			data: [
	            [Date.UTC(2010, 0, 1), 309],
    	        [Date.UTC(2010, 0, 2), 209],
        	    [Date.UTC(2010, 0, 3), 386],
	            [Date.UTC(2010, 0, 6), 306],
    	        [Date.UTC(2010, 0, 7), 80],
        	    [Date.UTC(2010, 0, 8), 199]
         	]
			}, {
			type: 'column',
			name: 'Visų Seimo narių dirbtų valandų suma',
			data: [
	            [Date.UTC(2010, 0, 1), 185],
    	        [Date.UTC(2010, 0, 2), 158],
        	    [Date.UTC(2010, 0, 3), 344],
	            [Date.UTC(2010, 0, 6), 299],
    	        [Date.UTC(2010, 0, 7), 56],
        	    [Date.UTC(2010, 0, 8), 135]
			]
         	}, {
			type: 'spline',
			name: 'Oficialiai tą dieną Seime dirbusių narių skaičius',
			data: [
	            [Date.UTC(2010, 0, 1), 70],
    	        [Date.UTC(2010, 0, 2), 98],
        	    [Date.UTC(2010, 0, 3), 98],
	            [Date.UTC(2010, 0, 6), 77],
    	        [Date.UTC(2010, 0, 7), 90],
        	    [Date.UTC(2010, 0, 8), 86]
			],
			yAxis: 1
		}]
	});
	}



	if (document.getElementById('general-frac')) {
	gfrac = new Highcharts.Chart({
    	chart: {
			renderTo: 'general-frac',
			defaultSeriesType: 'column',
			margin: [ 50, 50, 50, 50]
		},

		colors: [
			'#5E2F46'
		],

		title: {
			text: 'Lankomumas pagal frakcijas*',
			style: {
				color: '#02385C'
			}
		},

		xAxis: {
			categories: [
            	'TS-LKDF',
	            'ĄF',
    	        'JF',
        	    'LCSF',
            	'NSSF',
	            'VLF',
    	        'FTT'
			],
	        labels: {
				rotation: -45,
        	    align: 'right',
            }
		},

		yAxis: {
			min: 0,
			title: {
				text: 'Dirbtų valandų dalis, %',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}
		},

		legend: {
			enabled: false
		},

		tooltip: {
			formatter: function() {
				return '<b>'+ this.x +'</b><br/>'+
					'Dirbtų valandų dalis: '+ Highcharts.numberFormat(this.y, 1) +
					'%';
			}
		},

		series: [{
			name: 'Dirbtų valandų dalis',
			data: [34.4, 21.8, 20.1, 20, 19.6, 19.5, 19.1],
			dataLabels: {
				enabled: false
			}
		}]
	});
	}



	if (document.getElementById('general-sess')) {
	gsess = new Highcharts.Chart({
    	chart: {
			renderTo: 'general-sess',
			defaultSeriesType: 'column',
			margin: [ 50, 50, 50, 100]
		},

		colors: [
			'#C78933'
		],

		title: {
			text: 'Lankomumas pagal sesijų tipus',
			style: {
				color: '#02385C'
			}
		},

		xAxis: {
			categories: [
            	'Eilinė',
	            'Neeilinė'
			],
	        labels: {
				rotation: -45,
        	    align: 'right',
            }
		},

		yAxis: {
			min: 0,
			title: {
				text: 'Dirbtų valandų dalis, %',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}
		},

		legend: {
			enabled: false
		},

		tooltip: {
			formatter: function() {
				return '<b>'+ this.x +'</b><br/>'+
					'Dirbtų valandų dalis: '+ Highcharts.numberFormat(this.y, 1) +
					'%';
			}
		},

		series: [{
			name: 'Dirbtų valandų dalis',
			data: [54.4, 81.8],
			dataLabels: {
				enabled: false
			}
		}]
	});
	}



	if (document.getElementById('general-seas')) {
		gseas = new Highcharts.Chart({
    	chart: {
			renderTo: 'general-seas',
			defaultSeriesType: 'column',
			margin: [ 50, 0, 50, 100]
		},

		colors: [
			'#D6CEAA'
		],

		title: {
			text: 'Lankomumas pagal metų laikus',
			style: {
				color: '#02385C'
			},
			align: 'right',
			x: 10
		},

		xAxis: {
			categories: [
            	'Žiema',
	            'Pavasaris',
	            'Vasara',
	            'Ruduo'
			],
	        labels: {
				rotation: -45,
        	    align: 'right',
            }
		},

		yAxis: {
			min: 0,
			title: {
				text: 'Dirbtų valandų dalis, %',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}
		},

		legend: {
			enabled: false
		},

		tooltip: {
			formatter: function() {
				return '<b>'+ this.x +'</b><br/>'+
					'Dirbtų valandų dalis: '+ Highcharts.numberFormat(this.y, 1) +
					'%';
			}
		},

		series: [{
			name: 'Dirbtų valandų dalis',
			data: [74.4, 61.8, 45, 87],
			dataLabels: {
				enabled: false
			}
		}]
	});
	}



	if (document.getElementById('general-vover') != null) {
	vover = new Highcharts.Chart({
		chart: {
			renderTo: 'general-vover',
			plotBackgroundColor: null,
			plotBorderWidth: null,
			plotShadow: false,
			margin: [20, 0, 45, 0]
		},

		colors: [
			'#C78933',
			'#D6CEAA',
			'#5E2F46',
			'#C75233'
		],

		title: {
			text: 'Bendra Seimo narių balsavimo statistika',
			style: {
				color: '#02385C'
			}
		},

		tooltip: {
			formatter: function() {
				return '<strong>'+ this.point.name +':</strong> '+ this.y +'%';
			}
		},

		plotOptions: {
			pie: {
				allowPointSelect: true,
				cursor: 'pointer',
				dataLabels: {
					enabled: false
				},
				showInLegend: true
			}
		},

		series: [{
			type: 'pie',
			name: 'Balsavimo statistika',
			data: [
				['Balsavo UŽ', 45],
				['Balsavo PRIEŠ', 25],
				{
					name: 'Užsiregistravo, bet nebalsavo',
					y: 20,
					sliced: true,
					selected: true
				},
				['Susilaikė',    10],
			]
		}]
	});
	}



	if (document.getElementById('general-vdistr') != null) {
	vdistr = new Highcharts.Chart({
    	chart: {
			renderTo: 'general-vdistr',
			defaultSeriesType: 'column',
			margin: [ 50, 0, 50, 50]
		},

		colors: [
			'#C75233'
		],

		title: {
			text: 'Balsavimų pasiskirstymas pagal dalyvių skaičių',
			style: {
				color: '#02385C',
			}
		},

		xAxis: {
			categories: [
            	'0-10',
            	'11-20',
            	'21-30',
            	'31-40',
            	'410-50',
            	'51-60',
            	'61-70',
            	'71-80',
            	'81-90',
            	'91-100',
            	'101-110',
            	'111-120',
            	'121-130',
            	'131-141'
            ],
	        labels: {
				rotation: -45,
        	    align: 'right',
            }
		},

		yAxis: {
			min: 0,
			title: {
				text: 'Balsavimų skaičius',
				style: {
					color: '#6D869F',
					fontWeight: 'normal'
				}
			}
		},

		legend: {
			enabled: false
		},

		tooltip: {
			formatter: function() {
				return '<strong>Dalyvių skaičius:</strong> ' + this.x +'<br/>'+
					'<strong>Posėdžių skaičius:</strong> '+ Highcharts.numberFormat(this.y, 1);
			}
		},

		series: [{
			name: 'Dirbtų valandų dalis',
			data: [10, 20, 30, 40, 50, 60, 70, 80, 70, 60, 50, 40, 30, 20],
			dataLabels: {
				enabled: false
			}
		}]
	});
	}
});