<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function print_f($array) {
	echo '<pre>';
	
	if ($array instanceof DOMNodeList) {
	print_r($array->length);
		foreach ($array as $node) {
			echo $node->nodeValue;
		}
	}
	elseif ($array instanceof DOMNode) {
		echo $array->nodeValue;
	}
	else print_r($array);
	echo '</pre>';
}

require_once '../classes/DB.php';

$sql_params = array('mysql:dbname=aurimas_seime-lt;host=localhost', 'aurimas_seime-lt', 'seime-lt', array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'UTF8\''));

list($dsn, $username, $password, $driver_options) = $sql_params;
$DB = new DB($dsn, $username, $password, $driver_options);
global $DB;

function getParticipationTop() {
	global $DB;
	
	$sql = '
		SELECT members.id, members.name, (sum(hours_present) / sum(hours_available)) as percent, "%1$s" as class FROM participation_data 
		JOIN members ON members_id = members.id
		GROUP BY members_id ORDER BY percent %2$s LIMIT 3';
	
	$top = $DB->getArray(sprintf($sql, 'pos', 'DESC'), array());
	$bottom = $DB->getArray(sprintf($sql, 'neg', 'ASC'), array());
	
	$data = array_merge($top, array_reverse($bottom));
	
	$table = array();
	foreach ($data as $member) {
		$table[] = 
			'<td class="num ' . $member['class'] . '">' . round($member['percent'] * 100, 0) . '%</td>
			<td><a href="' . getMemberLink($member['id']) . '">' . $member['name'] . '</a></td>';
	}
	
	return '<table><tr>' . implode('</tr><tr>', $table) . '</tr></table>';	
}

function getMemberLink($id) {
	return 'index.php?page=individual&id=' . $id;
}

function getVotingTop($vote) {	
	global $DB;
	
	$data = getCached('getVotingTop', $vote);
	if (false === $data) {
	
		$data = $DB->getArray(
			'SELECT members.name, members.id, (count(votes.vote) / total_votes) as percent FROM votes 
				JOIN (SELECT members_id, count(vote) as total_votes FROM votes GROUP BY members_id) as a ON votes.members_id = a.members_id
				JOIN members ON members.id = votes.members_id
				WHERE votes.vote = ?
			GROUP BY members.id ORDER BY percent DESC LIMIT 6', array($vote));
		saveCached('getVotingTop', $vote, $data);
	}
	
	$table = array();
	foreach ($data as $member) {
		$table[] = 
			'<td class="num">' . round($member['percent'] * 100, 0) . '%</td>
			<td><a href="' . getMemberLink($member['id']) . '">' . $member['name'] . '</a></td>';
	}
	
	return '<table><tr>' . implode('</tr><tr>', $table) . '</tr></table>';	
}

function getCached($function, $params) {
	$path = 'cache';
	$filename = "$path/$function-$params.cache";
	if (!file_exists($filename)) {
		return false;
	}
	else {
		$file = file_get_contents($filename);
		return json_decode($file, true);
	}
}

function saveCached($function, $params, $data) {
	$path = 'cache';
	$filename = "$path/$function-$params.cache";
	$file = file_put_contents($filename, json_encode($data));		
}

function populateIndividualData() {
	global $DB;
	global $MEMBER;	
	$id = $_GET['id'];
	$MEMBER = $DB->getArray('SELECT * FROM members WHERE id = ?', array($id));
	if (empty($MEMBER)) {
		populateEmptyData();
	}
	else {
		define('MEMBER', $MEMBER[0]['name']);
		define('MEMBER_ID', $MEMBER[0]['id']);
		define('MEMBER_IMAGE', $MEMBER[0]['image_src']);
		define('MEMBER_FRACTION', $MEMBER[0]['fraction']);
	}
}

function populateEmptyData() {
	populateIndividualData(125);
}

function getIndividualVoting($vote) {
	global $DB;
	
	$data = getCached('getIndividualVoting', $vote . MEMBER_ID);
	
	if (false === $data) {
		
		$sql = 'SELECT (count(votes.vote) / total_votes) as percent FROM votes 
					JOIN (SELECT members_id, count(vote) as total_votes FROM votes 
					WHERE members_id = :member_id) as a ON votes.members_id = a.members_id				
					WHERE votes.vote = :vote';
					
		$data = $DB->getVar($sql, array(':member_id' => MEMBER_ID, ':vote' => $vote));
			
		saveCached('getVotingTop',  $vote . MEMBER_ID, $data);
	}
	return round($data * 100, 0) . '%';
	
}

function getIndividualVotingAbsolute($vote) {
	global $DB;
	
	$sql = 'SELECT count(votes.vote) FROM votes WHERE members_id = :member_id AND votes.vote = :vote';
	return $DB->getVar($sql, array(':member_id' => MEMBER_ID, ':vote' => $vote));	
	
}

function getIndividualParticipation() {
	global $DB;
	$sql = 'SELECT (sum(hours_present) / sum(hours_available)) as x FROM participation_data WHERE members_id = ?';
	return round($DB->getVar($sql, array(MEMBER_ID)) * 100, 0) . '%';
}

function getOfficialParticipation() {
	global $DB;	
	$total = $DB->getVar('SELECT count(id) FROM sitting_participation WHERE members_id = ?', array(MEMBER_ID));
	$present = $DB->getVar('SELECT count(id) FROM sitting_participation WHERE members_id = ? AND presence = 1', array(MEMBER_ID));
	
	return round(($present / $total * 100), 0) . '%';
	
}

function getFractionName($fraction) {
	return $fraction;
}

function getIndividualPieChartTotals() {
	global $DB;
				
	//get total data
	$totals = array();
	$total_count = 0;
	$total_data = $DB->getArray('SELECT DISTINCT vote, count(vote) as count FROM votes GROUP BY vote', array());	
	foreach ($total_data as $outcome) {
		$total_count += $outcome['count'];
		$totals[$outcome['vote']] = $outcome['count'];
	}
	$js_totals = array();
	foreach($totals as $name => $count) {
		$js_totals[] = array('name' => niceVoteName($name), 'y' => round($count / $total_count * 100, 1), 'color' => getPieColor($name));		
	}
	usort($js_totals, 'sortPieChart');
	return json_encode($js_totals);
}

function getIndividualPieChart() {
	global $DB;
	
	//get individual data 
	$individual = array();
	$i_count = 0;
	$total_data = $DB->getArray('SELECT DISTINCT vote, count(vote) as count FROM votes  WHERE members_id = ? GROUP BY vote', array(MEMBER_ID));	
	foreach ($total_data as $outcome) {
		$i_count += $outcome['count'];
		$individual[$outcome['vote']] = $outcome['count'];
	}
	$js_totals = array();
	foreach($individual as $name => $count) {
		$js_totals[] = array('name' => niceVoteName($name), 'y' => round($count / $i_count * 100, 1), 'color' => getPieColor($name));		
	}
	usort($js_totals, 'sortPieChart');
	return json_encode($js_totals);	
}

function getPieColor($name) {
	switch ($name) {
		case 'accept': return '#C78933';
		case 'reject': return '#D6CEAA';
		case 'abstain': return '#79B5AC';
		case 'not presen': return '#C75233';
		case 'disappeare': return '#5E2F46';
	}
}

function niceVoteName($name) {
	switch ($name) {
		case 'accept': return 'Balsavo UŽ';
		case 'reject': return 'Balsavo PRIEŠ';
		case 'abstain': return 'Susilaikė';
		case 'not presen': return 'Neužsiregistravo';
		case 'disappeare': return 'Užsiregistravo, tačiau nebalsavo';
	}
}

function sortPieChart($a, $b) {
	if (getPieOrder($a['name']) > getPieOrder($b['name'])) return 1;
	elseif (getPieOrder($a['name']) < getPieOrder($b['name'])) return -1;
	else return 0;
}

function getPieOrder($name) {
	$v = 1;
	switch ($name) {
		case 'Balsavo UŽ': $v = 2; break;
		case 'Balsavo PRIEŠ': $v = 3; break;
		case 'Susilaikė': $v = 4; break;
		case 'Neužsiregistravo': $v = 1; break;
		case 'Užsiregistravo, tačiau nebalsavo': $v = 5; break;		
	}
	return $v;
}

function populateIndividualChart() {
	global $DB;
	
	//get averages of each sitting
	$totals = array();
	$averages = $DB->getArray('
		SELECT sittings_id, round(AVG(hours_present),2) as avg FROM participation_data GROUP BY sittings_id HAVING avg > 0', array());
	
	foreach ($averages as $sitting) {
		$totals[$sitting['sittings_id']] = $sitting['avg'];
	}
			
	//get member data
	$data = $DB->getArray(
			'SELECT sittings.end_time, sittings_id, round(hours_present,2) as present, round(hours_available - hours_present,2) as not_present FROM participation_data
				JOIN sittings ON sittings.id = sittings_id
				WHERE members_id = ?
			', array(MEMBER_ID));
	
	$avg = array();
	$present = array();
	$not_present = array();	
	$total = count($data);
	$i = 0;
	$multiple = round($total / 20, 0);	
	foreach ($data as $sitting) {
		if (isset($totals[$sitting['sittings_id']])) {
			if ($i++ % $multiple == 0) {
				$time = strtotime($sitting['end_time']);
				$date = 'Date.UTC(' . date('Y', $time) . ', ' . (date('m' , $time) - 1) . ', ' . date('d', $time) . ')';			
				$avg[] =  "[$date, {$totals[$sitting['sittings_id']]}]";
				$present[] =  "[$date, {$sitting['present']}]";
				$not_present[] =  "[$date, {$sitting['not_present']}]";
			}
		}
	}
	$avg_string = implode(', ', $avg);
	$present = implode(', ', $present);
	$not_present = implode(', ', $not_present);
	
	define('AVG', $avg_string);
	define('PRESENT', $present);
	define('NOT_PRESENT', $not_present);
}

function populateTotalChart() {
	global $DB;
	
	//get averages of each sitting
	$totals = array();
	$averages = $DB->getArray('
		SELECT sittings_id, round(SUM(hours_present),2) as present, round(SUM(hours_available) - SUM(hours_present),2) as not_present  FROM participation_data GROUP BY sittings_id HAVING (present + not_present) > 0', array());
	
	$data = $DB->getArray('
		SELECT sittings.end_time, sittings_id, SUM(presence) as avg FROM sitting_participation 
		JOIN sittings ON sittings.id = sittings_id GROUP BY sittings_id', array());
	
	foreach ($data as $sitting) {
		$totals[$sitting['sittings_id']] = array('presence' => $sitting['avg'], 'time' => $sitting['end_time']);
	}
		
	$avg = array();
	$present = array();
	$not_present = array();	
	$total = count($averages);
	$i = 1;
	$multiple = round($total / 20, 0);
	foreach ($averages as $sitting) {		
		if ($i++ % $multiple == 0) {
			$time = strtotime($totals[$sitting['sittings_id']]['time']);
			$date = 'Date.UTC(' . date('Y', $time) . ', ' . (date('m' , $time) - 1) . ', ' . date('d', $time) . ')';			
			$avg[] =  "[$date, {$totals[$sitting['sittings_id']]['presence']}]";
			$present[] =  "[$date, {$sitting['present']}]";
			$not_present[] =  "[$date, {$sitting['not_present']}]";
		}
	}
	$avg_string = implode(', ', $avg);
	$present = implode(', ', $present);
	$not_present = implode(', ', $not_present);
	
	define('AVG', $avg_string);
	define('PRESENT', $present);
	define('NOT_PRESENT', $not_present);
}

?>
