<?php 

mb_internal_encoding('UTF-8');
require_once '../classes/DB.php';

$sql_params = array('mysql:dbname=seimas;host=127.0.0.1', 'root', 'radiatorius', array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'UTF8\''));

list($dsn, $username, $password, $driver_options) = $sql_params;
$DB = new DB($dsn, $username, $password, $driver_options);

/* SQL scripts */

/* create and update the table participation_data */

//first, fill in official data
$DB->exec(
		'INSERT INTO participation_data (members_id, sittings_id, official_presence)
			SELECT members_id, sittings_id, presence as official_presence
			FROM sitting_participation
			JOIN sittings on sittings_id = sittings.id			
		ON DUPLICATE KEY UPDATE participation_data.id = participation_data.id');

//then fill in the data of available hours
$DB->exec(
		'INSERT INTO participation_data (members_id, sittings_id, hours_available)
			SELECT members_id, sittings_id, SUM(TIME_TO_SEC(TIMEDIFF(subquestions.end_time, subquestions.start_time))) / 3600 from subquestions_participation 
			JOIN subquestions on subquestions.id = subquestions_id 
			JOIN questions on questions_id = questions.id
			JOIN sittings on sittings_id = sittings.id						
			GROUP BY members_id, sittings_id			
		ON DUPLICATE KEY UPDATE participation_data.hours_available = VALUES(hours_available)');

//and then fill in the data of participated hours
$DB->exec(
		'INSERT INTO participation_data (members_id, sittings_id, hours_present)
			SELECT members_id, sittings_id, SUM(TIME_TO_SEC(TIMEDIFF(subquestions.end_time, subquestions.start_time))) / 3600 from subquestions_participation 
			JOIN subquestions on subquestions.id = subquestions_id 
			JOIN questions on questions_id = questions.id
			JOIN sittings on sittings_id = sittings.id
			WHERE subquestions_participation.presence = 1
			GROUP BY members_id, sittings_id
		ON DUPLICATE KEY UPDATE participation_data.hours_present = VALUES(hours_present)');


/* update voting data with "registered but did not participate" */

$DB->exec(
		'INSERT INTO votes (id, vote)
			SELECT votes.id, "disappeared" as vote FROM votes 
				JOIN voting_registration ON votes.actions_id = voting_registration.voting_id
				JOIN registrations ON voting_registration.registration_id = registrations.actions_id AND votes.members_id = registrations.members_id
			WHERE votes.vote = "not presen" AND registrations.presence = 1
		ON DUPLICATE KEY UPDATE votes.vote = VALUES(vote)');

/* populate members table */

$DB->exec(
		'INSERT INTO members (id)
			SELECT DISTINCT members_id FROM `votes`
			ON DUPLICATE KEY UPDATE members.id = members.id'
		);

/* match people with fractions */

$DB->exec(
		'INSERT INTO members (id, fraction)
			SELECT DISTINCT members_id, fraction FROM `votes`
			WHERE fraction != ""
			ON DUPLICATE KEY UPDATE members.fraction = VALUES(fraction)'
		);

?>