<html> 
	<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
</head>
<body>
<?php

function DOMinnerHTML(DOMElement $element) 
{ 
    $innerHTML = ""; 
    $children = $element->childNodes; 
    foreach ($children as $child) 
    { 
        $tmp_dom = new DOMDocument(); 
        $tmp_dom->appendChild($tmp_dom->importNode($child, true)); 
        $innerHTML.=trim($tmp_dom->saveHTML()); 
    } 
    return $innerHTML; 
} 

function print_f($array) {
	echo '<pre>';
	
	if ($array instanceof DOMNodeList) {
	print_r($array->length);
		foreach ($array as $node) {
			echo $node->nodeValue;
		}
	}
	elseif ($array instanceof DOMNode) {
		echo $array->nodeValue;
	}
	else print_r($array);
	echo '</pre>';
}

function log_f($message, $object_id) {
	echo '<br>' . $message . '<br>';
}

function myErrorHandler($errno, $errstr, $errfile, $errline, $context) {
	
	if (!(error_reporting() & $errno)) {
        // This error code is not included in error_reporting
        return;
    }
	print_f($context);

    switch ($errno) {
    case E_USER_ERROR:
        echo "<b>My ERROR</b> [$errno] $errstr<br />\n";
        echo "  Fatal error on line $errline in file $errfile";
        echo ", PHP " . PHP_VERSION . " (" . PHP_OS . ")<br />\n";
        echo "Aborting...<br />\n";
        exit(1);
        break;

    case E_USER_WARNING:
        echo "<b>My WARNING</b> [$errno] $errstr<br />\n";
        break;

    case E_USER_NOTICE:
        echo "<b>My NOTICE</b> [$errno] $errstr<br />\n";
        break;

    default:
        echo "Unknown error type: [$errno] $errstr<br />\n";
        break;
    }

    /* Don't execute PHP internal error handler */
    return true;
}

//$old_error_handler = set_error_handler("myErrorHandler");
define('START_TIME', microtime(true));
mb_internal_encoding('UTF-8');
require_once 'classes/DB.php';
require_once 'classes/Factory.php';
require_once 'classes/abstractions.php';
require_once 'classes/Sesija.php';
require_once 'classes/Posedis.php';
require_once 'classes/Question.php';
require_once 'classes/Action.php';

require_once 'extensions/QuestionParticipation.php';
require_once 'extensions/RegistrationLink.php';

$sql_params = array('mysql:dbname=DBNAME;host=127.0.0.1', 'USERNAME', 'PASSWORD', array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'UTF8\''));

$allowed_types = array('session' => 'Session', 'sitting' => 'Sitting', 'question' => 'QuestionParticipation', 'action' => 'RegistrationLink');

$Factory = Factory::getInstance($sql_params, $allowed_types);

//$Factory->getObject(type, url = NULL, id = NULL, parent = NULL, $params); //load via URL (scrape) or ID (take from DB)
//$Sesija = $Factory->getObject('session', 'http://www3.lrs.lt/pls/inter/w5_sale.ses_pos?p_ses_id=80');
$Sesija = $Factory->getObject('session', '', 85);

$Sesija->initialise();
$Sesija->initialiseChildren(true);

echo 'processed in ' . round((microtime(true) - START_TIME), 3) . 's<br>';

$Sesija->show();


?>