-- phpMyAdmin SQL Dump
-- version 3.3.10deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jun 05, 2011 at 08:00 PM
-- Server version: 5.1.54
-- PHP Version: 5.3.5-1ubuntu7.2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `seimas_t`
--

-- --------------------------------------------------------

--
-- Table structure for table `actions`
--

CREATE TABLE IF NOT EXISTS `actions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` varchar(20) NOT NULL,
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `type` char(20) NOT NULL,
  `url` text NOT NULL,
  `total_participants` tinyint(4) NOT NULL,
  `outcome` char(20) NOT NULL,
  `voting_topic` text NOT NULL,
  `title` text NOT NULL,
  `questions_id` int(11) NOT NULL,
  `dom` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `number` (`number`,`questions_id`),
  KEY `questions_id` (`questions_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=41752 ;

--
-- Dumping data for table `actions`
--


-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE IF NOT EXISTS `items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` tinyint(4) NOT NULL,
  `questions_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `document_url` text NOT NULL,
  `related_doc_url` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `number` (`number`,`questions_id`),
  KEY `questions_id` (`questions_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16920 ;

--
-- Dumping data for table `items`
--


-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `id` int(11) NOT NULL,
  `fraction` char(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `members`
--


-- --------------------------------------------------------

--
-- Table structure for table `participation_data`
--

CREATE TABLE IF NOT EXISTS `participation_data` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `sittings_id` int(11) NOT NULL,
  `members_id` int(11) NOT NULL,
  `hours_available` float NOT NULL,
  `hours_present` float NOT NULL,
  `official_presence` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sittings_id` (`sittings_id`,`members_id`),
  KEY `sittings_id_2` (`sittings_id`),
  KEY `members_id` (`members_id`),
  KEY `official_presence` (`official_presence`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=283 ;

--
-- Dumping data for table `participation_data`
--


-- --------------------------------------------------------

--
-- Table structure for table `presenters`
--

CREATE TABLE IF NOT EXISTS `presenters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` tinyint(4) NOT NULL,
  `items_id` int(10) NOT NULL,
  `presenter` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `number` (`number`,`items_id`),
  KEY `items_id` (`items_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24586 ;

--
-- Dumping data for table `presenters`
--


-- --------------------------------------------------------

--
-- Table structure for table `questions`
--

CREATE TABLE IF NOT EXISTS `questions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `start_time` datetime NOT NULL,
  `end_time` datetime NOT NULL,
  `url` text NOT NULL,
  `title` text NOT NULL,
  `sittings_id` int(11) NOT NULL,
  `effective_length` time NOT NULL,
  `number` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sittings_id` (`sittings_id`,`number`),
  KEY `sittings_id_2` (`sittings_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9702 ;

--
-- Dumping data for table `questions`
--


-- --------------------------------------------------------

--
-- Table structure for table `registrations`
--

CREATE TABLE IF NOT EXISTS `registrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `actions_id` int(10) NOT NULL,
  `members_id` int(11) NOT NULL,
  `presence` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `actions_id` (`actions_id`,`members_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1004252 ;

--
-- Dumping data for table `registrations`
--


-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `url` text NOT NULL,
  `type` char(20) NOT NULL,
  `kadencija` char(20) NOT NULL,
  `number` tinyint(4) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `effective_length` time NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=89 ;

--
-- Dumping data for table `sessions`
--


-- --------------------------------------------------------

--
-- Table structure for table `sittings`
--

CREATE TABLE IF NOT EXISTS `sittings` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `number` tinyint(4) NOT NULL,
  `type` text NOT NULL,
  `transcript_url` text NOT NULL,
  `recording_url` text NOT NULL,
  `protocol_url` text NOT NULL,
  `start_time` datetime NOT NULL,
  `effective_length` time NOT NULL,
  `url` text NOT NULL,
  `end_time` datetime NOT NULL,
  `participation_url` text NOT NULL,
  `sessions_id` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=500493 ;

--
-- Dumping data for table `sittings`
--


-- --------------------------------------------------------

--
-- Table structure for table `sitting_participation`
--

CREATE TABLE IF NOT EXISTS `sitting_participation` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `presence` tinyint(1) NOT NULL,
  `sittings_id` int(11) NOT NULL,
  `members_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sittings_id` (`sittings_id`,`members_id`),
  KEY `sittings_id_2` (`sittings_id`),
  KEY `presence` (`presence`),
  KEY `members_id` (`members_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=46245 ;

--
-- Dumping data for table `sitting_participation`
--


-- --------------------------------------------------------

--
-- Table structure for table `speakers`
--

CREATE TABLE IF NOT EXISTS `speakers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `members_id` int(11) NOT NULL,
  `actions_id` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `members_id` (`members_id`,`actions_id`),
  KEY `actions_id` (`actions_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26819 ;

--
-- Dumping data for table `speakers`
--


-- --------------------------------------------------------

--
-- Table structure for table `subquestions`
--

CREATE TABLE IF NOT EXISTS `subquestions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `questions_id` int(11) NOT NULL,
  `number` tinyint(4) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `questions_id` (`questions_id`,`number`),
  KEY `questions_id_2` (`questions_id`),
  KEY `number` (`number`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=923 ;

--
-- Dumping data for table `subquestions`
--


-- --------------------------------------------------------

--
-- Table structure for table `subquestions_participation`
--

CREATE TABLE IF NOT EXISTS `subquestions_participation` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `subquestions_id` int(11) NOT NULL,
  `members_id` int(11) NOT NULL,
  `presence` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `subquestions_id` (`subquestions_id`,`members_id`),
  KEY `subquestions_id_2` (`subquestions_id`),
  KEY `members_id` (`members_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=130051 ;

--
-- Dumping data for table `subquestions_participation`
--


-- --------------------------------------------------------

--
-- Table structure for table `votes`
--

CREATE TABLE IF NOT EXISTS `votes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `actions_id` int(10) NOT NULL,
  `members_id` int(11) NOT NULL,
  `fraction` char(10) NOT NULL,
  `vote` char(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `actions_id` (`actions_id`,`members_id`),
  KEY `actions_id_2` (`actions_id`),
  KEY `members_id` (`members_id`),
  KEY `vote` (`vote`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=912366 ;

--
-- Dumping data for table `votes`
--


-- --------------------------------------------------------

--
-- Table structure for table `voting_registration`
--

CREATE TABLE IF NOT EXISTS `voting_registration` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `registration_id` int(11) NOT NULL,
  `voting_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `voting_id` (`voting_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=662 ;

--
-- Dumping data for table `voting_registration`
--

